#include <iostream>
#include <fstream>
#include <string.h>
using namespace std;
int main()
{
	ifstream fi("demtu.inp");
	ofstream fo("demtu.out");
	char s[256];
	int dem=0;
	fi.getline(s,256);
	for(int i=0;i<=strlen(s);i++)
	{
		if(s[i]==' ' && s[i+1]!=' ') 
		{
			dem++;
		}
	}
	if(s[0]!=' ') {dem++;}
	fo<<dem;
}
